/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");

function getSkeletons(jsonObject){
	
  if (context == null) {
      return;
  }
  
  context.clearRect(0, 0, canvas.width, canvas.height);

  for (var i = 0; i < jsonObject.skeletons.length; i++) {
	var headZ = 0;
    var hipZ = 0;

    for (var j = 0; j < jsonObject.skeletons[i].joints.length; j++) 
    {
      var joint = jsonObject.skeletons[i].joints[j];
      
      // Draw!!!
      context.fillStyle = "#FF0000";
      context.beginPath();
      context.arc(joint.x, joint.y, 10, 0, Math.PI * 2, true);
      context.closePath();
      context.fill();
		
      // joint.name  values
      		//head
      		//hipleft
      
     }
	}
}

              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
    var data = document.getElementById("data1");
    data.innerHTML = value;
}

function next() {
	console.debug('Next!');  
      var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", 'http://192.168.1.60/blinkred.act', false ); // false for synchronous request
    xmlHttp.send( null );
    return xmlHttp.responseText;
  
}

function prior() {
	console.debug('Prior');
        var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", 'http://192.168.1.60/blinkgreen.act', false ); // false for synchronous request
    xmlHttp.send( null );
    return xmlHttp.responseText;

}

function noUser(){
  console.debug('No User :(');  
//sendToArduino('0');
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", 'http://192.168.1.60/red.act', false ); // false for synchronous request
    xmlHttp.send( null );
    return xmlHttp.responseText;
  
}

function newUser() {
  console.debug('New User :)');  
  var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", 'http://192.168.1.60/green.act', false ); // false for synchronous request
    xmlHttp.send( null );
    return xmlHttp.responseText;
  //sendToArduino('1');
}

function changeHandNone() {
	console.debug('Hand None');  
}

function changeHandRight() {
  	console.debug('Hand Right');  
}

function changeHandLeft() {
	console.debug('Hand Left');  
}
